PHP ��U
前一頁 |  | 下一頁

# HttpRequestPool::socketPerform

(no version information, might be only in CVS)

HttpRequestPool::socketPerform -- Perform socket actions

## Description

protectedbool HttpRequestPool::socketPerform ( void )

Returns TRUE until each request has finished its transaction.

## Return Values

Returns TRUE until each request has finished its transaction.

## �d��

範例 1. A HttpRequestPool::socketPerform() example
`<?php class MyPool extends HttpRequestPool { public function send() { while ($this->socketPerform()) { if (!$this->socketSelect()) { throw new HttpSocketExcpetion; } } } protected final function socketPerform() { $result = parent::socketPerform(); foreach ($this->getFinishedRequests() as $r) { $this->detach($r); // handle response of finished request } return $result; } } ?>`

前一頁 | 內容 | 下一頁
HttpRequestPool::send | 上一層 | HttpRequestPool::socketSelect